Page MenuHomePhabricator

Don't throttle WMF office IP(s) for account creation in beta
Open, NormalPublic

Description

Was ran into by Maryana and others.

Event Timeline

greg created this task.Jan 29 2015, 5:10 AM
greg raised the priority of this task from to Normal.
greg updated the task description. (Show Details)
greg added subscribers: greg, Maryana, Aklapper.

Hi @cajoel, do you have the IP ranges for office handy? @JohnLewis would like to use them to implement this throttle. Thanks!

got it. hmm. @JKrauska < guillom> mutante: https://office.wikimedia.org/wiki/Office_IT/Network/IP_Addresses is this current and can i release it to John (NDAed volunteer)?

These all have to go in the public throttle.php file to avoid throttling anyway, so an NDA won't help here.

@JohnLewis:

quote "As of summer 2014, the office network has been migrated to a new /24 block.

198.73.209.0/24

^ there, that /24 it is

Dzahn removed JKrauska as the assignee of this task.Feb 18 2015, 10:28 PM

Change 191489 had a related patch set uploaded (by John F. Lewis):
beta: don't rate limit office IPs

https://gerrit.wikimedia.org/r/191489

Patch-For-Review

Change 191489 merged by jenkins-bot:
beta: don't rate limit office IPs

https://gerrit.wikimedia.org/r/191489

hashar closed this task as Resolved.Feb 19 2015, 9:18 AM
hashar added a subscriber: hashar.

Should be good now. Thanks @JohnLewis !

Tgr renamed this task from Don't throttle WMF office IP(s) for account creation to Don't throttle WMF office IP(s) for account creation in beta.Feb 1 2017, 10:28 PM
Dzahn removed a subscriber: Dzahn.Feb 1 2017, 10:31 PM
Tgr reopened this task as Open.Feb 1 2017, 10:49 PM
Tgr added subscribers: Mhurd, Tgr.

This does not seem to work. I don't think it ever did; $wgRateLimitsExcludedIPs is unrelated to account creation throttling. (The post-AuthManager task for that is T134953: Merge Throttler and ping limiter but I think the situation was the same before AuthManager as well.)

Tgr added a comment.Feb 1 2017, 10:53 PM

Hm, no, the code does check the ping limiter even if it doesn't actually use it, and so did the old code. Nevertheless, people still run into the limit.

Change 335561 had a related patch set uploaded (by Gergő Tisza):
Do not throw away $wgRateLimitsExcludedIPs defaults when there is a wiki-specific setting

https://gerrit.wikimedia.org/r/335561

Tgr added a comment.Feb 1 2017, 11:27 PM

For the record, the way to temporarily lift the throttle is

1# mwscript eval.php --wiki=somewiki
2$ip = '1.2.3.4';
3$throttler = new \MediaWiki\Auth\Throttler( [ [ 'count' => 6, 'seconds' => 86400 ] ], [ 'type' => 'acctcreate', 'cache' => \ObjectCache::getLocalClusterInstance() ] );
4$throttler->clear( null, $ip );

Change 335561 merged by jenkins-bot:
Do not throw away $wgRateLimitsExcludedIPs defaults when there is a wiki-specific setting

https://gerrit.wikimedia.org/r/335561

Tgr closed this task as Resolved.Feb 2 2017, 12:23 AM
Tgr reopened this task as Open.Feb 2 2017, 12:48 AM
Aklapper removed JohnLewis as the assignee of this task.Feb 10 2017, 12:45 PM